Skip to navigation

Get self-reported hours and mileage

Retrieves a driver’s self-report for a single calendar day. Caller must be the driver themselves or an operator+ in the driver’s org. | authz: allowed_org_types=[provider], min_org_role=driver | () -> (DriverSelfReportedHoursAndMileage1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

driver_idstringRequired
report_datestringRequired

Response

Successful Response
_idstring
created_at_timestampdatetime
created_by_user_idstring

Must be a string starting with user_

datestringformat: "date"
driver_idstring
org_idstring

Must be a string starting with org_

schema_versioninteger
updated_atdatetime
hours_workeddoubleOptional0-24
miles_drivendoubleOptional>=0

Errors

422
Drivers Get Self Reported Hours and Mileage V1request Unprocessable Entity Error